package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class DrpNoticeParam {
   @ApiModelProperty("主单号")
   private String mainId;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("短信手机号")
   private String phone;
   @ApiModelProperty("消息单号")
   private String contentId;
   @ApiModelProperty("通知用户id")
   private Long noticeUserId;
   @ApiModelProperty("通知类型1采购提交通知2二次通知")
   private Integer noticeType;
   @ApiModelProperty("流程通知方式(1不通知,2短信通知,3公众号通知)")
   private Integer noticeStyle;
   @ApiModelProperty("通知过程(1采购员通知供应商更改2供应商通知采购员确认3采购员通知供应商已确认)")
   private Integer noticeProcess;
   @ApiModelProperty("通知流程(1.采购供货通知2.询价报价通知)")
   private Integer drpNotice;
   @ApiModelProperty("询价的中标报价类型(1.发送报价,2.发送决标)")
   private Integer inquirySendNoticeType;
   @ApiModelProperty("是否中标（1是2否）")
   private Integer ifBids;
   private String code;
   private String supplierName;
   private String drpInquirySendNoticeType;

   public String getMainId() {
      return this.mainId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getPhone() {
      return this.phone;
   }

   public String getContentId() {
      return this.contentId;
   }

   public Long getNoticeUserId() {
      return this.noticeUserId;
   }

   public Integer getNoticeType() {
      return this.noticeType;
   }

   public Integer getNoticeStyle() {
      return this.noticeStyle;
   }

   public Integer getNoticeProcess() {
      return this.noticeProcess;
   }

   public Integer getDrpNotice() {
      return this.drpNotice;
   }

   public Integer getInquirySendNoticeType() {
      return this.inquirySendNoticeType;
   }

   public Integer getIfBids() {
      return this.ifBids;
   }

   public String getCode() {
      return this.code;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public String getDrpInquirySendNoticeType() {
      return this.drpInquirySendNoticeType;
   }

   public void setMainId(final String mainId) {
      this.mainId = mainId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setPhone(final String phone) {
      this.phone = phone;
   }

   public void setContentId(final String contentId) {
      this.contentId = contentId;
   }

   public void setNoticeUserId(final Long noticeUserId) {
      this.noticeUserId = noticeUserId;
   }

   public void setNoticeType(final Integer noticeType) {
      this.noticeType = noticeType;
   }

   public void setNoticeStyle(final Integer noticeStyle) {
      this.noticeStyle = noticeStyle;
   }

   public void setNoticeProcess(final Integer noticeProcess) {
      this.noticeProcess = noticeProcess;
   }

   public void setDrpNotice(final Integer drpNotice) {
      this.drpNotice = drpNotice;
   }

   public void setInquirySendNoticeType(final Integer inquirySendNoticeType) {
      this.inquirySendNoticeType = inquirySendNoticeType;
   }

   public void setIfBids(final Integer ifBids) {
      this.ifBids = ifBids;
   }

   public void setCode(final String code) {
      this.code = code;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setDrpInquirySendNoticeType(final String drpInquirySendNoticeType) {
      this.drpInquirySendNoticeType = drpInquirySendNoticeType;
   }
}
